/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package structures;

import java.util.Vector;

/**
 *
 * @author baba
 */
public class Rule {
    private Vector<ConditionTag> conditionVector = new Vector<ConditionTag>();
    private Vector<ActionTag> actionVector = new Vector<ActionTag>();
    private String ID = "";

    /**
     * @return the conditionVector
     */
    public Vector<ConditionTag> getConditionVector() {
        return conditionVector;
    }

    /**
     * @param conditionVector the conditionVector to set
     */
    public void setConditionVector(Vector<ConditionTag> conditionVector) {
        this.conditionVector = conditionVector;
    }

    /**
     * @return the actionVector
     */
    public Vector<ActionTag> getActionVector() {
        return actionVector;
    }

    /**
     * @param actionVector the actionVector to set
     */
    public void setActionVector(Vector<ActionTag> actionVector) {
        this.actionVector = actionVector;
    }

    /**
     * @return the ID
     */
    public String getID() {
        return ID;
    }

    /**
     * @param ID the ID to set
     */
    public void setID(String ID) {
        this.ID = ID;
    }
    
}
